Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 06/12/2018, à 11:15

jerodi

[Résolu] mise à jour de 14.04 vers 16.04 impossible

Bonjour,

je ne parviens pas à effectuer la mise à jour de 14.04 vers 16.04:

message d'erreur

Erreur lors de la mise à jour 

Un problème est survenu lors de la mise à jour. Ceci est généralement 
dû à un problème de réseau. Veuillez vérifier votre connexion au 
réseau et réessayer. 

W:Impossible de récupérer 
[url]http://ubuntu.mirrors.ovh.net/ubuntu/dists/xenial/InRelease[/url] 
Impossible de trouver l'entrée « main/binary-i386sudo/Packages » 
attendue dans le fichier « Release » : ligne non valable dans 
sources.list ou fichier corrompu 
, W:Impossible de récupérer 
[url]http://ubuntu.mirrors.ovh.net/ubuntu/dists/xenial-updates/InRelease[/url] 
Impossible de trouver l'entrée « main/binary-i386sudo/Packages » 
attendue dans le fichier « Release » : ligne non valable dans 
sources.list ou fichier corrompu 
, W:Impossible de récupérer 
[url]http://ubuntu.mirrors.ovh.net/ubuntu/dists/xenial-backports/InRelease[/url] 
Impossible de trouver l'entrée « main/binary-i386sudo/Packages » 
attendue dans le fichier « Release » : ligne non valable dans 
sources.list ou fichier corrompu 
, W:Impossible de récupérer 
[url]http://ubuntu.mirrors.ovh.net/ubuntu/dists/xenial-security/InRelease[/url] 
Impossible de trouver l'entrée « main/binary-i386sudo/Packages » 
attendue dans le fichier « Release » : ligne non valable dans 
sources.list ou fichier corrompu 
, E:Le téléchargement de quelques fichiers d'index a échoué, ils ont 
été ignorés, ou les anciens ont été utilisés à la place. 


Restauration du système dans son état d'origine

actions entreprises
1 régénération du sources.list
J'ai lu que le problème pouvait provenir de là. J'avais effectivement des erreurs. J'ai donc régénéré via

sudo software-properties-gtk

. J'obtiens toujours ces erreurs quand je lance un

sudo apt-get update

:

W: Impossible de récupérer [url]http://be.archive.ubuntu.com/ubuntu/dists/trusty-security/InRelease[/url]  Impossible de trouver l'entrée « main/binary-i386sudo/Packages » attendue dans le fichier « Release » : ligne non valable dans sources.list ou fichier corrompu

W: Impossible de récupérer [url]http://be.archive.ubuntu.com/ubuntu/dists/trusty-updates/InRelease[/url]  Impossible de trouver l'entrée « main/binary-i386sudo/Packages » attendue dans le fichier « Release » : ligne non valable dans sources.list ou fichier corrompu

W: Impossible de récupérer [url]http://be.archive.ubuntu.com/ubuntu/dists/trusty/Release[/url]  Impossible de trouver l'entrée « main/binary-i386sudo/Packages » attendue dans le fichier « Release » : ligne non valable dans sources.list ou fichier corrompu

E: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.

J'ai aussi essayé via un générateur, sans plus de succès. Mon sources.list ressemble à ceci maintenant:

#------------------------------------------------------------------------------#
#                            OFFICIAL UBUNTU REPOS                             #
#------------------------------------------------------------------------------#


###### Ubuntu Main Repos
deb [url]http://be.archive.ubuntu.com/ubuntu/[/url] trusty main restricted universe multiverse 

###### Ubuntu Update Repos
deb [url]http://be.archive.ubuntu.com/ubuntu/[/url] trusty-security main restricted universe multiverse 
deb [url]http://be.archive.ubuntu.com/ubuntu/[/url] trusty-updates main restricted universe multiverse

2 vider /var/lib/apt/lists/ et /var/lib/apt/lists/partials
Sur base d'une publication, j'ai vidé ces directories avant de relance mon

sudo apt-get update

. Sans plus de résultat

Je tourne un peu un rond. Quelqu'un aurait-il une piste de solution? Merci!

Dernière modification par jerodi (Le 06/12/2018, à 17:07)

Hors ligne

#2 Le 06/12/2018, à 13:27

xabilon

Re : [Résolu] mise à jour de 14.04 vers 16.04 impossible

Salut

Le problème est que APT cherche cette ligne dans le fichier InRelease des dépôts : main/binary-i386sudo/Packages
Or cette ligne est erronée, elle n'y existe pas. Celle qui y existe en revanche, est : main/binary-i386/Packages

Il faut trouver pourquoi il cherche absolument cette ligne avec un « sudo » au milieu.

Quel est le contenu du dossier /etc/apt/sources.list.d ?

ls /etc/apt/sources.lisd.d/
cat /etc/apt/sources.list.d/*.list

As-tu un Ubuntu 64 bits ou 32 bits ?

uname -a

Dernière modification par xabilon (Le 06/12/2018, à 13:52)


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#3 Le 06/12/2018, à 13:39

xubu1957

Re : [Résolu] mise à jour de 14.04 vers 16.04 impossible

Bonjour,

Pour ajouter toi-même les balises code à ton précédent message #1 :                                 Merci              wink

  • Cliquer sur  le lien « Modifier » en bas à droite du message

  • Sélectionner le texte

  • Cliquer sur le <> de l'éditeur de message

1530289742.png

comme indiqué dans le : Retour utilisable de commande

Dernière modification par xubu1957 (Le 06/12/2018, à 14:44)


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 16.04.1 LTS : Lenovo T410 - Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#4 Le 06/12/2018, à 13:53

jerodi

Re : [Résolu] mise à jour de 14.04 vers 16.04 impossible

merci xubu1957 pour le tuyau sur le formatage smile
xabilon: merci pour ton feed-back. Et voici les retours:

ls /etc/apt/sources.list.d/

Pas de retour=>vide

cat /etc/apt/sources.list.d/*.list
cat: /etc/apt/sources.list.d/*.list: Aucun fichier ou dossier de ce type
uname -a
Linux non_machine 3.13.0-163-generic #213-Ubuntu SMP Thu Nov 15 02:19:07 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Dernière modification par jerodi (Le 06/12/2018, à 13:54)

Hors ligne

#5 Le 06/12/2018, à 14:42

xabilon

Re : [Résolu] mise à jour de 14.04 vers 16.04 impossible

Ton Ubuntu est donc 64 bits, et pas d'autres dépôts que ceux du fichier sources.list.
As-tu des paquets 32 bits installés ? Et l'architecture 32 bits est-elle activée ?

dpkg -l | grep i386
dpkg --print-foreign-architectures

Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#6 Le 06/12/2018, à 16:21

jerodi

Re : [Résolu] mise à jour de 14.04 vers 16.04 impossible

C'est un 64 bit, mais je ne sais pas si le 32 bit est désactivé...
Voici le résultat de la première commande:

dpkg -l | grep i386
ii  gcc-4.8-base:i386                                           4.8.4-2ubuntu1~14.04.4                               i386         GCC, the GNU Compiler Collection (base package)
ii  gcc-4.9-base:i386                                           4.9.3-0ubuntu4                                       i386         GCC, the GNU Compiler Collection (base package)
ii  libasn1-8-heimdal:i386                                      1.6~git20131207+dfsg-1ubuntu1.2                      i386         Heimdal Kerberos - ASN.1 library
ii  libasound2:i386                                             1.0.27.2-3ubuntu7                                    i386         shared library for ALSA applications
ii  libasound2-plugins:i386                                     1.0.27-2ubuntu2                                      i386         ALSA library additional plugins
ii  libasyncns0:i386                                            0.8-4ubuntu2                                         i386         Asynchronous name service query library
ii  libatk1.0-0:i386                                            2.10.0-2ubuntu2                                      i386         ATK accessibility toolkit
ii  libavahi-client3:i386                                       0.6.31-4ubuntu1.2                                    i386         Avahi client library
ii  libavahi-common-data:i386                                   0.6.31-4ubuntu1.2                                    i386         Avahi common data files
ii  libavahi-common3:i386                                       0.6.31-4ubuntu1.2                                    i386         Avahi common library
ii  libc6:i386                                                  2.19-0ubuntu6.14                                     i386         Embedded GNU C Library: Shared libraries
ii  libc6-i386                                                  2.19-0ubuntu6.14                                     amd64        Embedded GNU C Library: 32-bit shared libraries for AMD64
ii  libcairo2:i386                                              1.13.0~20140204-0ubuntu1.1                           i386         The Cairo 2D vector graphics library
ii  libcanberra-gtk-module:i386                                 0.30-0ubuntu3                                        i386         translates GTK+ widgets signals to event sounds
ii  libcanberra-gtk0:i386                                       0.30-0ubuntu3                                        i386         GTK+ helper for playing widget event sounds with libcanberra
ii  libcanberra0:i386                                           0.30-0ubuntu3                                        i386         simple abstract interface for playing event sounds
ii  libcgmanager0:i386                                          0.24-0ubuntu7.5                                      i386         Central cgroup manager daemon (client library)
ii  libcomerr2:i386                                             1.42.9-3ubuntu1.3                                    i386         common error description library
ii  libcups2:i386                                               1.7.2-0ubuntu1.10                                    i386         Common UNIX Printing System(tm) - Core library
ii  libcurl3:i386                                               7.35.0-1ubuntu2.19                                   i386         easy-to-use client-side URL transfer library (OpenSSL flavour)
ii  libdatrie1:i386                                             0.2.8-1                                              i386         Double-array trie library
ii  libdb5.3:i386                                               5.3.28-3ubuntu3.1                                    i386         Berkeley v5.3 Database Libraries [runtime]
ii  libdbus-1-3:i386                                            1.6.18-0ubuntu4.5                                    i386         simple interprocess messaging system (library)
rc  libdbusmenu-qt2:i386                                        0.9.3+14.04.20140314-0ubuntu1                        i386         Qt implementation of the DBusMenu protocol
rc  libdrm-intel1:i386                                          2.4.67-1ubuntu0.14.04.2                              i386         Userspace interface to intel-specific kernel DRM services -- runtime
rc  libdrm-nouveau2:i386                                        2.4.67-1ubuntu0.14.04.2                              i386         Userspace interface to nouveau-specific kernel DRM services -- runtime
rc  libdrm-radeon1:i386                                         2.4.67-1ubuntu0.14.04.2                              i386         Userspace interface to radeon-specific kernel DRM services -- runtime
ii  libdrm2:i386                                                2.4.67-1ubuntu0.14.04.2                              i386         Userspace interface to kernel DRM services -- runtime
rc  libelf1:i386                                                0.158-0ubuntu5.3                                     i386         library to read and write ELF files
ii  libexpat1:i386                                              2.1.0-4ubuntu1.4                                     i386         XML parsing C library - runtime library
ii  libffi6:i386                                                3.1~rc1+r3.0.13-12ubuntu0.2                          i386         Foreign Function Interface library runtime
ii  libflac8:i386                                               1.3.0-2ubuntu0.14.04.1                               i386         Free Lossless Audio Codec - runtime C library
ii  libfontconfig1:i386                                         2.11.0-0ubuntu4.2                                    i386         generic font configuration library - runtime
ii  libfreetype6:i386                                           2.5.2-1ubuntu2.8                                     i386         FreeType 2 font engine, shared library files
ii  libgcc1:i386                                                1:4.9.3-0ubuntu4                                     i386         GCC support library
ii  libgcrypt11:i386                                            1.5.3-2ubuntu4.6                                     i386         LGPL Crypto library - runtime library
ii  libgdk-pixbuf2.0-0:i386                                     2.30.7-0ubuntu1.8                                    i386         GDK Pixbuf library
rc  libgl1-mesa-dri:i386                                        10.1.3-0ubuntu0.6                                    i386         free implementation of the OpenGL API -- DRI modules
rc  libgl1-mesa-glx:i386                                        10.1.3-0ubuntu0.6                                    i386         free implementation of the OpenGL API -- GLX runtime
rc  libglapi-mesa:i386                                          10.1.3-0ubuntu0.6                                    i386         free implementation of the GL API -- shared library
ii  libglib2.0-0:i386                                           2.40.2-0ubuntu1.1                                    i386         GLib library of C routines
ii  libgnutls26:i386                                            2.12.23-12ubuntu2.8                                  i386         GNU TLS library - runtime library
ii  libgpg-error0:i386                                          1.12-0.2ubuntu1                                      i386         library for common error values and messages in GnuPG components
ii  libgraphite2-3:i386                                         1.3.10-0ubuntu0.14.04.1                              i386         Font rendering engine for Complex Scripts -- library
ii  libgssapi-krb5-2:i386                                       1.12+dfsg-2ubuntu5.3                                 i386         MIT Kerberos runtime libraries - krb5 GSS-API Mechanism
ii  libgssapi3-heimdal:i386                                     1.6~git20131207+dfsg-1ubuntu1.2                      i386         Heimdal Kerberos - GSSAPI support library
ii  libgstreamer-plugins-base0.10-0:i386                        0.10.36-1.1ubuntu2.1                                 i386         GStreamer libraries from the "base" set
rc  libgstreamer-plugins-base1.0-0:i386                         1.2.4-1~ubuntu2.1                                    i386         GStreamer libraries from the "base" set
ii  libgstreamer0.10-0:i386                                     0.10.36-1.2ubuntu3                                   i386         Core GStreamer libraries and elements
rc  libgstreamer1.0-0:i386                                      1.2.4-0ubuntu1.1                                     i386         Core GStreamer libraries and elements
ii  libgtk2.0-0:i386                                            2.24.23-0ubuntu1.4                                   i386         GTK+ graphical user interface library
ii  libharfbuzz0b:i386                                          0.9.27-1ubuntu1.1                                    i386         OpenType text shaping engine (shared library)
ii  libhcrypto4-heimdal:i386                                    1.6~git20131207+dfsg-1ubuntu1.2                      i386         Heimdal Kerberos - crypto library
ii  libheimbase1-heimdal:i386                                   1.6~git20131207+dfsg-1ubuntu1.2                      i386         Heimdal Kerberos - Base library
ii  libheimntlm0-heimdal:i386                                   1.6~git20131207+dfsg-1ubuntu1.2                      i386         Heimdal Kerberos - NTLM support library
ii  libhx509-5-heimdal:i386                                     1.6~git20131207+dfsg-1ubuntu1.2                      i386         Heimdal Kerberos - X509 support library
ii  libice6:i386                                                2:1.0.8-2                                            i386         X11 Inter-Client Exchange library
ii  libidn11:i386                                               1.28-1ubuntu2.2                                      i386         GNU Libidn library, implementation of IETF IDN specifications
ii  libjack-jackd2-0:i386                                       1.9.9.5+20130622git7de15e7a-1ubuntu1                 i386         JACK Audio Connection Kit (libraries)
ii  libjasper1:i386                                             1.900.1-14ubuntu3.5                                  i386         JasPer JPEG-2000 runtime library
ii  libjbig0:i386                                               2.0-2ubuntu4.1                                       i386         JBIGkit libraries
ii  libjpeg-turbo8:i386                                         1.3.0-0ubuntu2.1                                     i386         IJG JPEG compliant runtime library.
ii  libjpeg8:i386                                               8c-2ubuntu8                                          i386         Independent JPEG Group's JPEG runtime library (dependency package)
ii  libjson-c2:i386                                             0.11-3ubuntu1.2                                      i386         JSON manipulation library - shared library
ii  libk5crypto3:i386                                           1.12+dfsg-2ubuntu5.3                                 i386         MIT Kerberos runtime libraries - Crypto Library
ii  libkeyutils1:i386                                           1.5.6-1                                              i386         Linux Key Management Utilities (library)
ii  libkrb5-26-heimdal:i386                                     1.6~git20131207+dfsg-1ubuntu1.2                      i386         Heimdal Kerberos - libraries
ii  libkrb5-3:i386                                              1.12+dfsg-2ubuntu5.3                                 i386         MIT Kerberos runtime libraries
ii  libkrb5support0:i386                                        1.12+dfsg-2ubuntu5.3                                 i386         MIT Kerberos runtime libraries - Support library
ii  libldap-2.4-2:i386                                          2.4.31-1+nmu2ubuntu8.5                               i386         OpenLDAP libraries
rc  libllvm3.4:i386                                             1:3.4-1ubuntu3                                       i386         Modular compiler and toolchain technologies, runtime library
ii  libltdl7:i386                                               2.4.2-1.7ubuntu1                                     i386         A system independent dlopen wrapper for GNU libtool
ii  liblzma5:i386                                               5.1.1alpha+20120614-2ubuntu2                         i386         XZ-format compression library
rc  libmysqlclient18:i386                                       5.5.40-0ubuntu0.14.04.1                              i386         MySQL database client library
ii  libnih-dbus1:i386                                           1.0.3-4ubuntu25                                      i386         NIH D-Bus Bindings Library
ii  libnih1:i386                                                1.0.3-4ubuntu25                                      i386         NIH Utility Library
ii  libogg0:i386                                                1.3.1-1ubuntu1                                       i386         Ogg bitstream library
ii  liborc-0.4-0:i386                                           1:0.4.18-1ubuntu1                                    i386         Library of Optimized Inner Loops Runtime Compiler
ii  libp11-kit0:i386                                            0.20.2-2ubuntu2                                      i386         Library for loading and coordinating access to PKCS#11 modules - runtime
ii  libpango-1.0-0:i386                                         1.36.3-1ubuntu1.1                                    i386         Layout and rendering of internationalized text
ii  libpangocairo-1.0-0:i386                                    1.36.3-1ubuntu1.1                                    i386         Layout and rendering of internationalized text
ii  libpangoft2-1.0-0:i386                                      1.36.3-1ubuntu1.1                                    i386         Layout and rendering of internationalized text
rc  libpciaccess0:i386                                          0.13.2-1                                             i386         Generic PCI access library for X
ii  libpcre3:i386                                               1:8.31-2ubuntu2.3                                    i386         Perl 5 Compatible Regular Expression Library - runtime files
ii  libpixman-1-0:i386                                          0.30.2-2ubuntu1.1                                    i386         pixel-manipulation library for X and cairo
ii  libpng12-0:i386                                             1.2.50-1ubuntu2.14.04.3                              i386         PNG library - runtime
ii  libpulse0:i386                                              1:4.0-0ubuntu11.1                                    i386         PulseAudio client libraries
rc  libqt4-declarative:i386                                     4:4.8.5+git192-g085f851+dfsg-2ubuntu4.1              i386         Qt 4 Declarative module
rc  libqt4-network:i386                                         4:4.8.5+git192-g085f851+dfsg-2ubuntu4.1              i386         Qt 4 network module
rc  libqt4-opengl:i386                                          4:4.8.5+git192-g085f851+dfsg-2ubuntu4.1              i386         Qt 4 OpenGL module
rc  libqt4-script:i386                                          4:4.8.5+git192-g085f851+dfsg-2ubuntu4.1              i386         Qt 4 script module
rc  libqt4-sql:i386                                             4:4.8.5+git192-g085f851+dfsg-2ubuntu4.1              i386         Qt 4 SQL module
rc  libqt4-xml:i386                                             4:4.8.5+git192-g085f851+dfsg-2ubuntu4.1              i386         Qt 4 XML module
rc  libqt4-xmlpatterns:i386                                     4:4.8.5+git192-g085f851+dfsg-2ubuntu4.1              i386         Qt 4 XML patterns module
rc  libqtcore4:i386                                             4:4.8.5+git192-g085f851+dfsg-2ubuntu4.1              i386         Qt 4 core module
rc  libqtdbus4:i386                                             4:4.8.5+git192-g085f851+dfsg-2ubuntu4.1              i386         Qt 4 D-Bus module library
rc  libqtgui4:i386                                              4:4.8.5+git192-g085f851+dfsg-2ubuntu4.1              i386         Qt 4 GUI module
rc  libqtwebkit4:i386                                           2.3.2-0ubuntu7                                       i386         Web content engine library for Qt
ii  libroken18-heimdal:i386                                     1.6~git20131207+dfsg-1ubuntu1.2                      i386         Heimdal Kerberos - roken support library
ii  librtmp0:i386                                               2.4+20121230.gitdf6c518-1ubuntu0.1                   i386         toolkit for RTMP streams (shared library)
ii  libsamplerate0:i386                                         0.1.8-7                                              i386         Audio sample rate conversion library
ii  libsasl2-2:i386                                             2.1.25.dfsg1-17build1                                i386         Cyrus SASL - authentication abstraction library
ii  libsasl2-modules:i386                                       2.1.25.dfsg1-17build1                                i386         Cyrus SASL - pluggable authentication modules
ii  libsasl2-modules-db:i386                                    2.1.25.dfsg1-17build1                                i386         Cyrus SASL - pluggable authentication modules (DB)
ii  libselinux1:i386                                            2.2.2-1ubuntu0.1                                     i386         SELinux runtime shared libraries
ii  libsm6:i386                                                 2:1.2.1-2                                            i386         X11 Session Management library
ii  libsndfile1:i386                                            1.0.25-7ubuntu2.2                                    i386         Library for reading/writing audio files
ii  libspeexdsp1:i386                                           1.2~rc1.1-1ubuntu1                                   i386         The Speex extended runtime library
ii  libsqlite3-0:i386                                           3.8.2-1ubuntu2.1                                     i386         SQLite 3 shared library
ii  libssl1.0.0:i386                                            1.0.1f-1ubuntu2.26                                   i386         Secure Sockets Layer toolkit - shared libraries
ii  libstdc++6:i386                                             4.8.4-2ubuntu1~14.04.4                               i386         GNU Standard C++ Library v3
ii  libtasn1-6:i386                                             3.4-3ubuntu0.6                                       i386         Manage ASN.1 structures (runtime)
ii  libtdb1:i386                                                1.3.8-0ubuntu0.14.04.1                               i386         Trivial Database - shared library
ii  libthai0:i386                                               0.1.20-3                                             i386         Thai language support library
ii  libtiff5:i386                                               4.0.3-7ubuntu0.9                                     i386         Tag Image File Format (TIFF) library
ii  libtinfo5:i386                                              5.9+20140118-1ubuntu1                                i386         shared low-level terminfo library for terminal handling
rc  libtxc-dxtn-s2tc0:i386                                      0~git20131104-1.1                                    i386         Texture compression library for Mesa
ii  libudev1:i386                                               204-5ubuntu20.28                                     i386         libudev shared library
ii  libuuid1:i386                                               2.20.1-5.1ubuntu20.9                                 i386         Universally Unique ID library
ii  libv4l-0:i386                                               1.0.1-1                                              i386         Collection of video4linux support libraries
ii  libv4lconvert0:i386                                         1.0.1-1                                              i386         Video4linux frame format conversion library
ii  libvorbis0a:i386                                            1.3.2-1.3ubuntu1.2                                   i386         The Vorbis General Audio Compression Codec (Decoder library)
ii  libvorbisenc2:i386                                          1.3.2-1.3ubuntu1.2                                   i386         The Vorbis General Audio Compression Codec (Encoder library)
ii  libvorbisfile3:i386                                         1.3.2-1.3ubuntu1.2                                   i386         The Vorbis General Audio Compression Codec (High Level API)
ii  libwind0-heimdal:i386                                       1.6~git20131207+dfsg-1ubuntu1.2                      i386         Heimdal Kerberos - stringprep implementation
ii  libwrap0:i386                                               7.6.q-25                                             i386         Wietse Venema's TCP wrappers library
ii  libx11-6:i386                                               2:1.6.2-1ubuntu2.1                                   i386         X11 client-side library
rc  libx11-xcb1:i386                                            2:1.6.2-1ubuntu2.1                                   i386         Xlib/XCB interface library
ii  libxau6:i386                                                1:1.0.8-1                                            i386         X11 authorisation library
rc  libxcb-dri2-0:i386                                          1.10-2ubuntu1                                        i386         X C Binding, dri2 extension
rc  libxcb-dri3-0:i386                                          1.10-2ubuntu1                                        i386         X C Binding, dri3 extension
rc  libxcb-glx0:i386                                            1.10-2ubuntu1                                        i386         X C Binding, glx extension
rc  libxcb-present0:i386                                        1.10-2ubuntu1                                        i386         X C Binding, present extension
ii  libxcb-render0:i386                                         1.10-2ubuntu1                                        i386         X C Binding, render extension
ii  libxcb-shm0:i386                                            1.10-2ubuntu1                                        i386         X C Binding, shm extension
rc  libxcb-sync1:i386                                           1.10-2ubuntu1                                        i386         X C Binding, sync extension
ii  libxcb1:i386                                                1.10-2ubuntu1                                        i386         X C Binding
ii  libxcomposite1:i386                                         1:0.4.4-1                                            i386         X11 Composite extension library
ii  libxcursor1:i386                                            1:1.1.14-1ubuntu0.14.04.2                            i386         X cursor management library
ii  libxdamage1:i386                                            1:1.1.4-1ubuntu1                                     i386         X11 damaged region extension library
ii  libxdmcp6:i386                                              1:1.1.1-1                                            i386         X11 Display Manager Control Protocol library
ii  libxerces-c3.1:i386                                         3.1.1-5.1+deb8u3build0.14.04.1                       i386         validating XML parser library for C++
ii  libxext6:i386                                               2:1.3.2-1ubuntu0.0.14.04.1                           i386         X11 miscellaneous extension library
ii  libxfixes3:i386                                             1:5.0.1-1ubuntu1.1                                   i386         X11 miscellaneous 'fixes' extension library
ii  libxi6:i386                                                 2:1.7.1.901-1ubuntu1.1                               i386         X11 Input extension library
ii  libxinerama1:i386                                           2:1.1.3-1                                            i386         X11 Xinerama extension library
ii  libxml2:i386                                                2.9.1+dfsg1-3ubuntu4.13                              i386         GNOME XML library
ii  libxrandr2:i386                                             2:1.5.0-1~trusty1                                    i386         X11 RandR extension library
ii  libxrender1:i386                                            1:0.9.8-1build0.14.04.1                              i386         X Rendering Extension client library
rc  libxshmfence1:i386                                          1.1-2                                                i386         X shared memory fences - shared library
rc  libxslt1.1:i386                                             1.1.28-2ubuntu0.1                                    i386         XSLT 1.0 processing library - runtime library
rc  libxss1:i386                                                1:1.2.2-1                                            i386         X11 Screen Saver extension library
ii  libxt6:i386                                                 1:1.1.4-1                                            i386         X11 toolkit intrinsics library
rc  libxv1:i386                                                 2:1.0.10-1                                           i386         X11 Video extension library
rc  libxxf86vm1:i386                                            1:1.1.3-1                                            i386         X11 XFree86 video mode extension library
ii  nspluginviewer                                              1.4.4-0ubuntu5                                       i386         A wrapper to run Netscape plugins on other architectures
rc  skype-bin                                                   4.3.0.37-1                                           i386         client for Skype VOIP and instant messaging service - binary files
rc  sni-qt:i386                                                 0.2.6-0ubuntu1                                       i386         indicator support for Qt
ii  syslinux-legacy                                             2:3.63+dfsg-2ubuntu5                                 amd64        Bootloader for Linux/i386 using MS-DOS floppies
ii  zlib1g:i386                                                 1:1.2.8.dfsg-1ubuntu1.1                              i386         compression library - runtime

et voici pour la deuxième

dpkg --print-foreign-architectures
i386
i386sudo

Hors ligne

#7 Le 06/12/2018, à 16:49

xabilon

Re : [Résolu] mise à jour de 14.04 vers 16.04 impossible

ok, je vois le souci... exécute cette commande :

sudo dpkg --remove-architecture i386sudo

As-tu toujours une erreur lors d'un apt-get update ?


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#8 Le 06/12/2018, à 17:06

jerodi

Re : [Résolu] mise à jour de 14.04 vers 16.04 impossible

merci! Je n'ai plus le message d'erreur.:)

Plus qu'à faire l'upgrade

Hors ligne

#9 Le 06/12/2018, à 17:51

xabilon

Re : [Résolu] mise à jour de 14.04 vers 16.04 impossible

Pour explication :

Ubuntu, comme Debian, gère le multi-arch, c'est à dire la possibilité d'installer des paquets logiciels 32bits sur un système 64bits. C'est notamment utile pour Skype, qui n'existe pour Linux qu'en version 32bits. On peut choisir quelles architectures gérer : 64bits (amd64), 32bits (i386)...

Lors de l'update ou des mises à jour, le gestionnaire de paquets va consulter les paquets dans les dépôts de toutes les architectures spécifiées.

Sauf que tu avais spécifié une architecture qui n'existe pas : i386sudo, conséquence probablement d'une erreur de frappe à un moment donné. Le gestionnaire de paquets était donc paumé...

Dernière modification par xabilon (Le 06/12/2018, à 17:52)


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne